Page MenuHomePhabricator

Dashboard annotations needed for fix of mw.track bug
Closed, ResolvedPublic

Description

Due to a bug that was discovered and fixed (EventLogging subscriber module in ready state but not sending tracked events T175918) by the Readers Web team on Sep 28, 2017, we'll need to annotate our mobile web dashboard as this shows a sharp uptick in events since the bug fix was deployed. It also seems to account for the decrease in logged events since March 2017.

Unfortunately, the Discovery department uses mw.track in quite a few (if not all) of our frontend A/B tests. Two of the more recent tests were the explore similar links (T149809) and language links (T175647) tests that didn't get a lot of events. This mw.track bug probably caused the decreased logging of the usage of the language links and the subsequent stoppage of testing.

Event Timeline

debt created this task.Oct 12 2017, 6:14 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 12 2017, 6:14 PM

According to T176464#3669451, this bug didn't cause the decrease in logged events on March 29th 2017.

chelsyx claimed this task.Oct 18 2017, 4:52 PM
chelsyx moved this task from Backlog to In progress on the Discovery-Analysis (Current work) board.

Change 385014 had a related patch set uploaded (by Chelsyx; owner: Chelsyx):
[wikimedia/discovery/rainbow@develop] Annotation of mw.track bug fix

https://gerrit.wikimedia.org/r/385014

Change 385014 merged by Bearloga:
[wikimedia/discovery/rainbow@develop] Annotation of mw.track bug fix

https://gerrit.wikimedia.org/r/385014

debt added a comment.Oct 27 2017, 9:22 PM

Thanks, @chelsyx - can you push this into production, please?

Here's the screenshot of what it looks like in beta:

debt closed this task as Resolved.Oct 30 2017, 3:30 PM

Thanks!

Liuxinyu970226 removed a subscriber: Liuxinyu970226.